## xsar 1.1.6

=== requirements.txt ===
# put here only additional package for extended/developpement
# for mandatory packages, see setup.py
# https://packaging.python.org/discussions/install-requires-vs-requirements/
jupyter
jupyter_contrib_nbextensions
holoviews
datashader
geoviews
cartopy
pyproj
matplotlib
packaging
pytest
dill
xarray-datatree

=== debian/changelog ===
xsar (1.1.6-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Aug 2023 20:01:33 +0200

xsar (1.1.6-1) unstable; urgency=medium

  * Initial release (Closes: #1043323).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 23:26:22 +0000

=== debian/control ===
Source: xsar
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-affine,
               python3-aiohttp,
               python3-all,
               python3-cartopy,
               python3-dask,
               python3-dill,
               python3-distributed,
               python3-fiona,
               python3-fsspec,
               python3-geopandas,
               python3-importlib-resources,
               python3-matplotlib,
               python3-more-itertools,
               python3-numpy,
               python3-packaging,
               python3-psutil,
               python3-pyproj,
               python3-rasterio,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-setuptools-scm-git-archive,
               python3-shapely,
               python3-tz,
               python3-xarray,
               python3-xarray-datatree,
               python3-xarray-safe-rcm,
               python3-xarray-safe-s1,
               python3-xradarsat2,
               python3-yaml
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/umr-lops/xsar
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-gis-team/xsar
Vcs-Git: https://salsa.debian.org/debian-gis-team/xsar.git
Description: Python xarray reader to use Level-1 GRD Synthetic Aperture Radar products
 XSAR is a distributed Level 1 Synthetic Aperture Radar (SAR) file reader
 designed to write efficient distributed processing algorithms with xarray
 and dask.
 .
 It currently handles Level-1 Sentinel-1 and Radarsat-2 data in SAFE format,
 as found on scihub or PEPS.
 .
 XSAR rely on `xarray.open_rasterio`, rasterio and GDAL to read digital_number
 from SAFE product to return an `xarray.Dataset` object with dask chunks.
 LUTs are decoded from XML files and applied to digital_number, following
 official ESA thermal de-noising document and ESA Sentinel-1 Product
 Specification.
 .
 End user can directly use for example sigma0 variable, or the de-noised
 sigma0 computed from digital_number and by applying relevant LUTs.
 .
 Since XSAR rely on dask, it have a small memory footprint: variables are
 read from file and computed only if needed.

Package: python3-xsar
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-xsar-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

export PYBUILD_NAME=xsar
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## xsar 2024.02.1

=== requirements.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
 pytest
 dill
 xarray-datatree
+lxml

=== debian/changelog ===
xsar (2024.02.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0002-Drop-dependency-on-python-setuptools-scm-git-archive.patch,
      applied upstream.
    - Refresh remaining patches.
  * debian/control:
    - Add dependency on python3-lxml.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Feb 2024 09:39:16 +0000

xsar (2023.09.0-2) unstable; urgency=medium

  * debian/control:
    - Drop build dependency on python3-setuptools-scm-git-archive.
      Closes: #1060030.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Jan 2024 09:43:39 +0000

xsar (2023.09.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2023 12:46:01 +0000

xsar (2023.08.0.post1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Remove Suggests from unexisting package python-xsar-doc.
    - Update dependencies (remove more-itertools, requests and
      importlib-resources).
  * debian/patches:
    - Refresh all patches.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 31 Aug 2023 06:40:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-affine,
                python3-aiohttp,
                python3-all,
@@ -15,19 +16,16 @@
                python3-fiona,
                python3-fsspec,
                python3-geopandas,
-               python3-importlib-resources,
+               python3-lxml,
                python3-matplotlib,
-               python3-more-itertools,
                python3-numpy,
                python3-packaging,
                python3-psutil,
                python3-pyproj,
                python3-rasterio,
-               python3-requests,
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-setuptools-scm-git-archive,
                python3-shapely,
                python3-tz,
                python3-xarray,
@@ -66,6 +64,5 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Suggests: python-xsar-doc
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## xsar 2024.05.27

=== debian/changelog ===
xsar (2024.05.27-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 May 2024 05:08:24 +0000

xsar (2024.05.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Recommend python3-xarray-safe-rcm, python3-xarray-safe-s1,
      and python3-xradarsat2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 May 2024 05:42:35 +0000

xsar (2024.04.24-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Apr 2024 08:03:59 +0000

=== debian/control ===
--- 
+++ 
@@ -64,5 +64,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Recommends: python3-xarray-safe-rcm,
+            python3-xarray-safe-s1,
+            python3-xradarsat2
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## xsar 2024.06.24

=== debian/changelog ===
xsar (2024.06.24-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 15:17:38 +0000

## xsar 2024.07.30

=== debian/changelog ===
xsar (2024.07.30-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 30 Jul 2024 19:55:27 +0000

## xsar 2024.08.08

=== debian/changelog ===
xsar (2024.08.08-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 12 Aug 2024 05:53:42 +0000

## xsar 2024.10.21

=== debian/changelog ===
xsar (2024.10.21-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 24 Oct 2024 05:57:43 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                python3-xarray-safe-s1,
                python3-xradarsat2,
                python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/umr-lops/xsar
 Rules-Requires-Root: no

## xsar 2024.11.18

=== debian/changelog ===
xsar (2024.11.18-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update dependencies.
    - Add dependency on pybuild-plugin-pyproject.
  * debian/patches:
    - Drop 0001-Do-not-install-scripts.patch, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Nov 2024 09:14:53 +0000

## xsar 2024.12.03

=== debian/changelog ===
xsar (2024.12.03-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Dec 2024 06:46:39 +0000

## xsar 2025.03.07

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	pip install -r ../requirements_doc.txt
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
xsar (2025.03.07-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Mar 2025 10:39:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,28 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-affine,
                python3-aiohttp,
                python3-all,
                python3-cartopy,
                python3-dask,
-               python3-dill,
                python3-distributed,
                python3-fiona,
                python3-fsspec,
                python3-geopandas,
                python3-lxml,
-               python3-matplotlib,
                python3-numpy,
-               python3-packaging,
                python3-psutil,
                python3-pyproj,
                python3-rasterio,
+               python3-rioxarray,
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
                python3-shapely,
                python3-tz,
-               python3-xarray,
-               python3-xarray-datatree,
+               python3-xarray (>= 2024.10.0),
                python3-xarray-safe-rcm,
                python3-xarray-safe-s1,
                python3-xradarsat2,
@@ -67,5 +65,6 @@
 Recommends: python3-xarray-safe-rcm,
             python3-xarray-safe-s1,
             python3-xradarsat2
+Suggests: python3-jinja2
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## xsar 2025.06.12

=== requirements.txt ===
--- 
+++ 
@@ -12,5 +12,4 @@
 packaging
 pytest
 dill
-xarray-datatree
 lxml

=== debian/changelog ===
xsar (2025.06.12-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 16:01:22 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                python3-xarray-safe-s1,
                python3-xradarsat2,
                python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/umr-lops/xsar
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?\/archive\/.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/umr-lops/xsar/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xsar 2026.02.10

=== debian/changelog ===
xsar (2026.02.10-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Replace python3-tz with python3-pytz.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/control:
    - Drop dependency on python3-pytz.
    - Add dependency on python3-mapraster.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 09:31:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xsar
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -17,6 +16,7 @@
                python3-fsspec,
                python3-geopandas,
                python3-lxml,
+               python3-mapraster,
                python3-numpy,
                python3-psutil,
                python3-pyproj,
@@ -26,16 +26,14 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-shapely,
-               python3-tz,
                python3-xarray (>= 2024.10.0),
                python3-xarray-safe-rcm,
                python3-xarray-safe-s1,
                python3-xradarsat2,
                python3-yaml
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/umr-lops/xsar
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/xsar
 Vcs-Git: https://salsa.debian.org/debian-gis-team/xsar.git
 Description: Python xarray reader to use Level-1 GRD Synthetic Aperture Radar products
